<div class="row text-center">
  <div class="col-md-4">
    <div class="btn-group">
      <div class="btn btn-primary" mwlCalendarPreviousView [view]="view" [(viewDate)]="viewDate"
        (viewDateChange)="closeOpenMonthViewDay()">
        Previous
      </div>
      <div class="btn btn-outline-secondary" mwlCalendarToday [(viewDate)]="viewDate">
        Today
      </div>
      <div class="btn btn-primary" mwlCalendarNextView [view]="view" [(viewDate)]="viewDate"
        (viewDateChange)="closeOpenMonthViewDay()">
        Next
      </div>
    </div>
  </div>
  <div class="col-md-4">
    <h3>{{ viewDate | calendarDate:(view + 'ViewTitle'):'en' }}</h3>
  </div>
</div>
<br />
<div class="row">
  <div class="col">
    <h3>
      <button class="btn btn-primary pull-left" (click)="addNewEvent()">
        Add new
      </button>
      <div class="clearfix"></div>
    </h3>
  </div>
</div>
<div class="row">
  <div class="col">
    <mwl-calendar-month-view [viewDate]="viewDate" [events]="events" [refresh]="refresh"
      [activeDayIsOpen]="activeDayIsOpen" (dayClicked)="dayClicked($event.day)"
      (eventClicked)="handleEvent('Clicked', $event.event)" (eventTimesChanged)="eventTimesChanged($event)">
    </mwl-calendar-month-view>
  </div>
</div>
<ng-template #modalContent let-close="close">
  <div class="modal-header">
    <h5 class="modal-title">Edit event</h5>
    <button type="button" class="close" (click)="close()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form #formEvent="ngForm" novalidate>
      <div class="row">
        <div class="col-6 form-group">
          <input placeholder="Reminder" name="title" type="text" class="form-control" [(ngModel)]="newEvent.title"
            (keyup)="refresh.next()" autocomplete="off" maxlength="30" required />
        </div>
        <div class="col-6 form-group">
          <input type="color" class="form-control" name="color" placeholder="Color" [(ngModel)]="newEvent.color.primary"
            (change)="refresh.next()" required />
        </div>
      </div>
      <br />
      <div class="row">
        <div class="col-6 form-group">
          <input class="form-control" name="dateSchedule" type="text" mwlFlatpickr [(ngModel)]="newEvent.start"
            (ngModelChange)="refresh.next()" [altInput]="true" [convertModelValue]="true" [enableTime]="true"
            dateFormat="Y-m-dTH:i" altFormat="F j, Y H:i" placeholder="Not set" required />
        </div>
        <div class="col-6 form-group">
          <select [(ngModel)]="newEvent.city" name="city" class="form-control" required>
            <option [ngValue]="undefined">Select city</option>
            <option [ngValue]="'Quito'">Quito</option>
            <option [ngValue]="'Guayaquil'">Guayaquil</option>
            <option [ngValue]="'Cuenca'">Cuenca</option>
          </select>
        </div>
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline-secondary" (click)="editEvent()">
      OK
    </button>
  </div>
</ng-template>

<ng-template #modalEventNew let-close="close">
  <addEvent [events]="events" [modalEventNew]="modal"></addEvent>
</ng-template>

<ng-template #modalContentSee let-close="close">
  <div class="modal-header">
    <h5 class="modal-title">Event view</h5>
    <button type="button" class="close" (click)="close()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form #formEvent="ngForm" novalidate>
      <div class="row">
        <div class="col">
          <h5>Forecast: {{forecast}}</h5>
        </div>
      </div>
      <br/>
      <div class="row">
        <div class="col">
          <h4>Information</h4>
        </div>
      </div>
      <br/>
      <div class="row">
        <div class="col-6 form-group">
          <input placeholder="Reminder" name="title" type="text" class="form-control" [(ngModel)]="newEvent.title"
            (keyup)="refresh.next()" readonly autocomplete="off" maxlength="30" required />
        </div>
        <div class="col-6 form-group">
          <input type="color" class="form-control" name="color" placeholder="Color" [(ngModel)]="newEvent.color.primary"
            (change)="refresh.next()" readonly required />
        </div>
      </div>
      <br />
      <div class="row">
        <div class="col-6 form-group">
          <input class="form-control" disabled="true" name="dateSchedule" type="text" mwlFlatpickr
            [(ngModel)]="newEvent.start" (ngModelChange)="refresh.next()" [altInput]="true" [convertModelValue]="true"
            [enableTime]="true" dateFormat="Y-m-dTH:i" altFormat="F j, Y H:i" placeholder="Not set" required />
        </div>
        <div class="col-6 form-group">
          <select [(ngModel)]="newEvent.city" name="city" class="form-control" required>
            <option [ngValue]="undefined" disabled="true">Select city</option>
            <option [ngValue]="'Quito'" disabled="true">Quito</option>
            <option [ngValue]="'Guayaquil'" disabled="true">Guayaquil</option>
            <option [ngValue]="'Cuenca'" disabled="true">Cuenca</option>
          </select>
        </div>
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline-secondary" (click)="close()">
      OK
    </button>
  </div>
</ng-template>